> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update invoice



## OpenAPI

````yaml put /v1/invoices/{id}
openapi: 3.0.0
info:
  title: Invoices API
  version: 1.0.0
  description: API documentation for Invoices management package
servers: []
security:
  - bearerAuth: []
paths:
  /v1/invoices/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
        description: Invoice UUID
    put:
      summary: Update invoice
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoiceUpdateInput'
      responses:
        '200':
          description: Invoice updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceUpdateResponse'
components:
  schemas:
    InvoiceUpdateInput:
      type: object
      properties:
        status:
          type: string
          enum:
            - draft
            - pending
            - paid
            - sent
            - overdue
        due_date:
          type: string
          format: date-time
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              quantity:
                type: number
              unit_price:
                type: number
    InvoiceUpdateResponse:
      type: object
      properties:
        invoice:
          type: object
          properties:
            id:
              type: string
              format: uuid
            status:
              type: string
            due_date:
              type: string
              format: date-time
            total:
              type: number
            updated_at:
              type: string
              format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````